> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emplicon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List absensi

> Mengambil daftar absensi dengan filter tanggal dan optional unique_employee_id.



## OpenAPI

````yaml openapi.json get /api/v1/attendances
openapi: 3.0.3
info:
  title: Emplicon API
  description: >-
    API publik Emplicon untuk integrasi: absensi, lembur (overtime), dan data
    karyawan.


    **Autentikasi:** API Key. Wajib mengirim dua header:

    - `X-Client-ID`: Client ID perusahaan (emp_cl_...)

    - `X-Api-Key`: API Secret Key (emp_sk_...)


    Keduanya didapat dari **Pengaturan → Perusahaan** di dashboard Emplicon.


    ---


    **Callback (webhook) yang tersedia saat ini:**

    - **Flip** — Inquiry Rekening: `POST
    https://api.emplicon.com/v1/webhooks/flip/inquiry`

    - **Flip** — Disbursement: `POST
    https://api.emplicon.com/v1/webhooks/flip/disbursement`


    URL callback didaftarkan di dashboard provider (Flip, dll). Emplicon
    menerima request GET (verifikasi URL) dan POST (payload).
  version: 1.0.0
servers:
  - url: https://api.emplicon.com
    description: Production
  - url: https://api-demo.emplicon.com
    description: Demo
security:
  - apiKeyAuth: []
    clientId: []
tags:
  - name: Attendances
    description: Absensi (clock in/out)
  - name: Overtimes
    description: Lembur (overtime start/end)
  - name: Employees
    description: Data karyawan
paths:
  /api/v1/attendances:
    get:
      tags:
        - Attendances
      summary: List absensi
      description: >-
        Mengambil daftar absensi dengan filter tanggal dan optional
        unique_employee_id.
      parameters:
        - name: date_from
          in: query
          schema:
            type: string
            format: date
          description: Tanggal awal (YYYY-MM-DD)
        - name: date_to
          in: query
          schema:
            type: string
            format: date
          description: Tanggal akhir (YYYY-MM-DD)
        - name: unique_employee_id
          in: query
          schema:
            type: string
          description: Filter by Unique ID karyawan (e.g. MULIA-1234567)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  attendances:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        employee_id:
                          type: string
                          format: uuid
                        unique_employee_id:
                          type: string
                          description: Unique ID karyawan (e.g. MULIA-1234567)
                        date:
                          type: string
                        clock_type:
                          type: string
                          enum:
                            - in
                            - out
                        clock_time:
                          type: string
                        status:
                          type: string
                        latitude:
                          type: number
                        longitude:
                          type: number
                        notes:
                          type: string
                        photo_url:
                          type: string
        '401':
          description: Missing or invalid API Key
      security:
        - apiKeyAuth: []
          clientId: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Secret Key (emp_sk_...). Wajib dikirim bersama header
        **X-Client-ID** (Client ID perusahaan). Keduanya didapat dari Pengaturan
        → Perusahaan di dashboard.
    clientId:
      type: apiKey
      in: header
      name: X-Client-ID
      description: Client ID perusahaan (emp_cl_...). Wajib dikirim bersama **X-Api-Key**.

````